## AgsStarSynthUtil

AgsStarSynthUtil — frequency modulation synth util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsStarSynthUtil * | ags_star_synth_util_alloc ()
gpointer | ags_star_synth_util_copy ()
void | ags_star_synth_util_free ()
gpointer | ags_star_synth_util_get_source ()
void | ags_star_synth_util_set_source ()
guint | ags_star_synth_util_get_source_stride ()
void | ags_star_synth_util_set_source_stride ()
guint | ags_star_synth_util_get_buffer_length ()
void | ags_star_synth_util_set_buffer_length ()
AgsSoundcardFormat | ags_star_synth_util_get_format ()
void | ags_star_synth_util_set_format ()
guint | ags_star_synth_util_get_samplerate ()
void | ags_star_synth_util_set_samplerate ()
guint | ags_star_synth_util_get_synth_oscillator_mode ()
void | ags_star_synth_util_set_synth_oscillator_mode ()
gdouble | ags_star_synth_util_get_frequency ()
void | ags_star_synth_util_set_frequency ()
gdouble | ags_star_synth_util_get_phase ()
void | ags_star_synth_util_set_phase ()
gdouble | ags_star_synth_util_get_volume ()
void | ags_star_synth_util_set_volume ()
guint | ags_star_synth_util_get_lfo_oscillator_mode ()
void | ags_star_synth_util_set_lfo_oscillator_mode ()
gdouble | ags_star_synth_util_get_lfo_frequency ()
void | ags_star_synth_util_set_lfo_frequency ()
gdouble | ags_star_synth_util_get_lfo_depth ()
void | ags_star_synth_util_set_lfo_depth ()
gdouble | ags_star_synth_util_get_tuning ()
void | ags_star_synth_util_set_tuning ()
gboolean | ags_star_synth_util_get_vibrato_enabled ()
void | ags_star_synth_util_set_vibrato_enabled ()
gdouble | ags_star_synth_util_get_vibrato_gain ()
void | ags_star_synth_util_set_vibrato_gain ()
gdouble | ags_star_synth_util_get_vibrato_lfo_depth ()
void | ags_star_synth_util_set_vibrato_lfo_depth ()
gdouble | ags_star_synth_util_get_vibrato_lfo_freq ()
void | ags_star_synth_util_set_vibrato_lfo_freq ()
gdouble | ags_star_synth_util_get_vibrato_tuning ()
void | ags_star_synth_util_set_vibrato_tuning ()
guint | ags_star_synth_util_get_frame_count ()
void | ags_star_synth_util_set_frame_count ()
guint | ags_star_synth_util_get_offset ()
void | ags_star_synth_util_set_offset ()
gboolean | ags_star_synth_util_get_note_256th_mode ()
void | ags_star_synth_util_set_note_256th_mode ()
guint | ags_star_synth_util_get_offset_256th ()
void | ags_star_synth_util_set_offset_256th ()
void | ags_star_synth_util_compute_sin_s8 ()
void | ags_star_synth_util_compute_sin_s16 ()
void | ags_star_synth_util_compute_sin_s24 ()
void | ags_star_synth_util_compute_sin_s32 ()
void | ags_star_synth_util_compute_sin_s64 ()
void | ags_star_synth_util_compute_sin_float ()
void | ags_star_synth_util_compute_sin_double ()
void | ags_star_synth_util_compute_sin_complex ()
void | ags_star_synth_util_compute_sin ()
void | ags_star_synth_util_compute_sawtooth_s8 ()
void | ags_star_synth_util_compute_sawtooth_s16 ()
void | ags_star_synth_util_compute_sawtooth_s24 ()
void | ags_star_synth_util_compute_sawtooth_s32 ()
void | ags_star_synth_util_compute_sawtooth_s64 ()
void | ags_star_synth_util_compute_sawtooth_float ()
void | ags_star_synth_util_compute_sawtooth_double ()
void | ags_star_synth_util_compute_sawtooth_complex ()
void | ags_star_synth_util_compute_sawtooth ()
void | ags_star_synth_util_compute_triangle_s8 ()
void | ags_star_synth_util_compute_triangle_s16 ()
void | ags_star_synth_util_compute_triangle_s24 ()
void | ags_star_synth_util_compute_triangle_s32 ()
void | ags_star_synth_util_compute_triangle_s64 ()
void | ags_star_synth_util_compute_triangle_float ()
void | ags_star_synth_util_compute_triangle_double ()
void | ags_star_synth_util_compute_triangle_complex ()
void | ags_star_synth_util_compute_triangle ()
void | ags_star_synth_util_compute_square_s8 ()
void | ags_star_synth_util_compute_square_s16 ()
void | ags_star_synth_util_compute_square_s24 ()
void | ags_star_synth_util_compute_square_s32 ()
void | ags_star_synth_util_compute_square_s64 ()
void | ags_star_synth_util_compute_square_float ()
void | ags_star_synth_util_compute_square_double ()
void | ags_star_synth_util_compute_square_complex ()
void | ags_star_synth_util_compute_square ()
void | ags_star_synth_util_compute_impulse_s8 ()
void | ags_star_synth_util_compute_impulse_s16 ()
void | ags_star_synth_util_compute_impulse_s24 ()
void | ags_star_synth_util_compute_impulse_s32 ()
void | ags_star_synth_util_compute_impulse_s64 ()
void | ags_star_synth_util_compute_impulse_float ()
void | ags_star_synth_util_compute_impulse_double ()
void | ags_star_synth_util_compute_impulse_complex ()
void | ags_star_synth_util_compute_impulse ()

## Types and Values

#define | AGS_STAR_SYNTH_UTIL_DEFAULT_FREQUENCY
#define | AGS_STAR_SYNTH_UTIL_DEFAULT_LFO_FREQUENCY
#define | AGS_STAR_SYNTH_UTIL_DEFAULT_LFO_DEPTH
#define | AGS_STAR_SYNTH_UTIL_DEFAULT_TUNING
#define | AGS_STAR_SYNTH_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsStarSynthUtil

## Includes

    #include <ags/audio/ags_star_synth_util.h>

## Description

Utility functions to compute FM synths with vibrato.

## Functions

### ags_star_synth_util_alloc ()

    AgsStarSynthUtil *
    ags_star_synth_util_alloc ();

Allocate AgsStarSynthUtil

#### Returns

a new AgsStarSynthUtil

Since: 7.4.0

### ags_star_synth_util_copy ()

    gpointer
    ags_star_synth_util_copy (AgsStarSynthUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsStarSynthUtil |

#### Returns

a pointer of the new AgsStarSynthUtil

Since: 7.4.0

### ags_star_synth_util_free ()

    void
    ags_star_synth_util_free (AgsStarSynthUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_get_source ()

    gpointer
    ags_star_synth_util_get_source (AgsStarSynthUtil *star_synth_util);

Get source buffer of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the source buffer

Since: 7.4.0

### ags_star_synth_util_set_source ()

    void
    ags_star_synth_util_set_source (AgsStarSynthUtil *star_synth_util,
                                    gpointer source);

Set `source` buffer of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
source | the source buffer. | [transfer none]

Since: 7.4.0

### ags_star_synth_util_get_source_stride ()

    guint
    ags_star_synth_util_get_source_stride (AgsStarSynthUtil *star_synth_util);

Get source stride of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the source buffer stride

Since: 7.4.0

### ags_star_synth_util_set_source_stride ()

    void
    ags_star_synth_util_set_source_stride (AgsStarSynthUtil *star_synth_util,
                                           guint source_stride);

Set `source` stride of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
source_stride | the source buffer stride |

Since: 7.4.0

### ags_star_synth_util_get_buffer_length ()

    guint
    ags_star_synth_util_get_buffer_length (AgsStarSynthUtil *star_synth_util);

Get buffer length of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the buffer length

Since: 7.4.0

### ags_star_synth_util_set_buffer_length ()

    void
    ags_star_synth_util_set_buffer_length (AgsStarSynthUtil *star_synth_util,
                                           guint buffer_length);

Set `buffer_length` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
buffer_length | the buffer length |

Since: 7.4.0

### ags_star_synth_util_get_format ()

    AgsSoundcardFormat
    ags_star_synth_util_get_format (AgsStarSynthUtil *star_synth_util);

Get audio buffer util format of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the audio buffer util format

Since: 7.4.0

### ags_star_synth_util_set_format ()

    void
    ags_star_synth_util_set_format (AgsStarSynthUtil *star_synth_util,
                                    AgsSoundcardFormat format);

Set `format` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
format | the audio buffer util format |

Since: 7.4.0

### ags_star_synth_util_get_samplerate ()

    guint
    ags_star_synth_util_get_samplerate (AgsStarSynthUtil *star_synth_util);

Get samplerate of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the samplerate

Since: 7.4.0

### ags_star_synth_util_set_samplerate ()

    void
    ags_star_synth_util_set_samplerate (AgsStarSynthUtil *star_synth_util,
                                        guint samplerate);

Set `samplerate` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
samplerate | the samplerate |

Since: 7.4.0

### ags_star_synth_util_get_synth_oscillator_mode ()

    guint
    ags_star_synth_util_get_synth_oscillator_mode
                                   (AgsStarSynthUtil *star_synth_util);

Get synth oscillator mode of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the synth oscillator mode

Since: 7.4.0

### ags_star_synth_util_set_synth_oscillator_mode ()

    void
    ags_star_synth_util_set_synth_oscillator_mode
                                   (AgsStarSynthUtil *star_synth_util,
                                    guint synth_oscillator_mode);

Set `synth_oscillator_mode` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
synth_oscillator_mode | the synth oscillator mode |

Since: 7.4.0

### ags_star_synth_util_get_frequency ()

    gdouble
    ags_star_synth_util_get_frequency (AgsStarSynthUtil *star_synth_util);

Get frequency of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the frequency

Since: 7.4.0

### ags_star_synth_util_set_frequency ()

    void
    ags_star_synth_util_set_frequency (AgsStarSynthUtil *star_synth_util,
                                       gdouble frequency);

Set `frequency` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
frequency | the frequency |

Since: 7.4.0

### ags_star_synth_util_get_phase ()

    gdouble
    ags_star_synth_util_get_phase (AgsStarSynthUtil *star_synth_util);

Get phase of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the phase

Since: 7.4.0

### ags_star_synth_util_set_phase ()

    void
    ags_star_synth_util_set_phase (AgsStarSynthUtil *star_synth_util,
                                   gdouble phase);

Set `phase` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
phase | the phase |

Since: 7.4.0

### ags_star_synth_util_get_volume ()

    gdouble
    ags_star_synth_util_get_volume (AgsStarSynthUtil *star_synth_util);

Get volume of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the volume

Since: 7.4.0

### ags_star_synth_util_set_volume ()

    void
    ags_star_synth_util_set_volume (AgsStarSynthUtil *star_synth_util,
                                    gdouble volume);

Set `volume` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
volume | the volume |

Since: 7.4.0

### ags_star_synth_util_get_lfo_oscillator_mode ()

    guint
    ags_star_synth_util_get_lfo_oscillator_mode
                                   (AgsStarSynthUtil *star_synth_util);

Get LFO oscillator mode of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the LFO oscillator mode

Since: 7.4.0

### ags_star_synth_util_set_lfo_oscillator_mode ()

    void
    ags_star_synth_util_set_lfo_oscillator_mode
                                   (AgsStarSynthUtil *star_synth_util,
                                    guint lfo_oscillator_mode);

Set `lfo_oscillator_mode` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
lfo_oscillator_mode | the LFO oscillator mode |

Since: 7.4.0

### ags_star_synth_util_get_lfo_frequency ()

    gdouble
    ags_star_synth_util_get_lfo_frequency (AgsStarSynthUtil *star_synth_util);

Get LFO frequency of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the LFO frequency

Since: 7.4.0

### ags_star_synth_util_set_lfo_frequency ()

    void
    ags_star_synth_util_set_lfo_frequency (AgsStarSynthUtil *star_synth_util,
                                           gdouble lfo_frequency);

Set `lfo_frequency` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
lfo_frequency | the LFO frequency |

Since: 7.4.0

### ags_star_synth_util_get_lfo_depth ()

    gdouble
    ags_star_synth_util_get_lfo_depth (AgsStarSynthUtil *star_synth_util);

Get LFO depth of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the LFO depth

Since: 7.4.0

### ags_star_synth_util_set_lfo_depth ()

    void
    ags_star_synth_util_set_lfo_depth (AgsStarSynthUtil *star_synth_util,
                                       gdouble lfo_depth);

Set `lfo_depth` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
lfo_depth | the LFO depth |

Since: 7.4.0

### ags_star_synth_util_get_tuning ()

    gdouble
    ags_star_synth_util_get_tuning (AgsStarSynthUtil *star_synth_util);

Get tuning of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the tuning

Since: 7.4.0

### ags_star_synth_util_set_tuning ()

    void
    ags_star_synth_util_set_tuning (AgsStarSynthUtil *star_synth_util,
                                    gdouble tuning);

Set `tuning` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
tuning | the tuning |

Since: 7.4.0

### ags_star_synth_util_get_vibrato_enabled ()

    gboolean
    ags_star_synth_util_get_vibrato_enabled
                                   (AgsStarSynthUtil *star_synth_util);

Get vibrato enabled of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

`TRUE` if the vibrato is enabled, otherwise `FALSE`

Since: 7.4.0

### ags_star_synth_util_set_vibrato_enabled ()

    void
    ags_star_synth_util_set_vibrato_enabled
                                   (AgsStarSynthUtil *star_synth_util,
                                    gboolean vibrato_enabled);

Set `vibrato_enabled` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
vibrato_enabled | the vibrato enabled |

Since: 7.4.0

### ags_star_synth_util_get_vibrato_gain ()

    gdouble
    ags_star_synth_util_get_vibrato_gain (AgsStarSynthUtil *star_synth_util);

Get vibrato gain of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the vibrato gain

Since: 7.4.0

### ags_star_synth_util_set_vibrato_gain ()

    void
    ags_star_synth_util_set_vibrato_gain (AgsStarSynthUtil *star_synth_util,
                                          gdouble vibrato_gain);

Set `vibrato_gain` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
vibrato_gain | the vibrato gain |

Since: 7.4.0

### ags_star_synth_util_get_vibrato_lfo_depth ()

    gdouble
    ags_star_synth_util_get_vibrato_lfo_depth
                                   (AgsStarSynthUtil *star_synth_util);

Get vibrato lfo_depth of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the vibrato lfo_depth

Since: 7.4.0

### ags_star_synth_util_set_vibrato_lfo_depth ()

    void
    ags_star_synth_util_set_vibrato_lfo_depth
                                   (AgsStarSynthUtil *star_synth_util,
                                    gdouble vibrato_lfo_depth);

Set `vibrato_lfo_depth` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
vibrato_lfo_depth | the vibrato lfo_depth |

Since: 7.4.0

### ags_star_synth_util_get_vibrato_lfo_freq ()

    gdouble
    ags_star_synth_util_get_vibrato_lfo_freq
                                   (AgsStarSynthUtil *star_synth_util);

Get vibrato lfo_freq of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the vibrato lfo_freq

Since: 7.4.0

### ags_star_synth_util_set_vibrato_lfo_freq ()

    void
    ags_star_synth_util_set_vibrato_lfo_freq
                                   (AgsStarSynthUtil *star_synth_util,
                                    gdouble vibrato_lfo_freq);

Set `vibrato_lfo_freq` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
vibrato_lfo_freq | the vibrato lfo_freq |

Since: 7.4.0

### ags_star_synth_util_get_vibrato_tuning ()

    gdouble
    ags_star_synth_util_get_vibrato_tuning
                                   (AgsStarSynthUtil *star_synth_util);

Get vibrato tuning of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the vibrato tuning

Since: 7.4.0

### ags_star_synth_util_set_vibrato_tuning ()

    void
    ags_star_synth_util_set_vibrato_tuning
                                   (AgsStarSynthUtil *star_synth_util,
                                    gdouble vibrato_tuning);

Set `vibrato_tuning` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
vibrato_tuning | the vibrato tuning |

Since: 7.4.0

### ags_star_synth_util_get_frame_count ()

    guint
    ags_star_synth_util_get_frame_count (AgsStarSynthUtil *star_synth_util);

Get frame count of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the frame count

Since: 7.4.0

### ags_star_synth_util_set_frame_count ()

    void
    ags_star_synth_util_set_frame_count (AgsStarSynthUtil *star_synth_util,
                                         guint frame_count);

Set `frame_count` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
frame_count | the frame count |

Since: 7.4.0

### ags_star_synth_util_get_offset ()

    guint
    ags_star_synth_util_get_offset (AgsStarSynthUtil *star_synth_util);

Get offset of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the offset

Since: 7.4.0

### ags_star_synth_util_set_offset ()

    void
    ags_star_synth_util_set_offset (AgsStarSynthUtil *star_synth_util,
                                    guint offset);

Set `offset` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
offset | the offset |

Since: 7.4.0

### ags_star_synth_util_get_note_256th_mode ()

    gboolean
    ags_star_synth_util_get_note_256th_mode
                                   (AgsStarSynthUtil *star_synth_util);

Get note 256th mode of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 7.4.0

### ags_star_synth_util_set_note_256th_mode ()

    void
    ags_star_synth_util_set_note_256th_mode
                                   (AgsStarSynthUtil *star_synth_util,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
note_256th_mode | the note 256th mode |

Since: 7.4.0

### ags_star_synth_util_get_offset_256th ()

    guint
    ags_star_synth_util_get_offset_256th (AgsStarSynthUtil *star_synth_util);

Get offset as note 256th of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |

#### Returns

the offset as note 256th

Since: 7.4.0

### ags_star_synth_util_set_offset_256th ()

    void
    ags_star_synth_util_set_offset_256th (AgsStarSynthUtil *star_synth_util,
                                          guint offset_256th);

Set `offset_256th` of `star_synth_util` .

#### Parameters

star_synth_util | the AgsStarSynthUtil |
offset_256th | the offset as note 256th |

Since: 7.4.0

### ags_star_synth_util_compute_sin_s8 ()

    void
    ags_star_synth_util_compute_sin_s8 (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of signed 8 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_s16 ()

    void
    ags_star_synth_util_compute_sin_s16 (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of signed 16 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_s24 ()

    void
    ags_star_synth_util_compute_sin_s24 (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of signed 24 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_s32 ()

    void
    ags_star_synth_util_compute_sin_s32 (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of signed 32 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_s64 ()

    void
    ags_star_synth_util_compute_sin_s64 (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of signed 64 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_float ()

    void
    ags_star_synth_util_compute_sin_float (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_double ()

    void
    ags_star_synth_util_compute_sin_double
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of double precision floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin_complex ()

    void
    ags_star_synth_util_compute_sin_complex
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth of complex data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sin ()

    void
    ags_star_synth_util_compute_sin (AgsStarSynthUtil *star_synth_util);

Compute STAR sine synth.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_s8 ()

    void
    ags_star_synth_util_compute_sawtooth_s8
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of signed 8 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_s16 ()

    void
    ags_star_synth_util_compute_sawtooth_s16
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of signed 16 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_s24 ()

    void
    ags_star_synth_util_compute_sawtooth_s24
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of signed 24 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_s32 ()

    void
    ags_star_synth_util_compute_sawtooth_s32
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of signed 32 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_s64 ()

    void
    ags_star_synth_util_compute_sawtooth_s64
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of signed 64 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_float ()

    void
    ags_star_synth_util_compute_sawtooth_float
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_double ()

    void
    ags_star_synth_util_compute_sawtooth_double
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of double precision floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth_complex ()

    void
    ags_star_synth_util_compute_sawtooth_complex
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth of complex data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_sawtooth ()

    void
    ags_star_synth_util_compute_sawtooth (AgsStarSynthUtil *star_synth_util);

Compute STAR sawtooth synth.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_s8 ()

    void
    ags_star_synth_util_compute_triangle_s8
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of signed 8 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_s16 ()

    void
    ags_star_synth_util_compute_triangle_s16
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of signed 16 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_s24 ()

    void
    ags_star_synth_util_compute_triangle_s24
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of signed 24 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_s32 ()

    void
    ags_star_synth_util_compute_triangle_s32
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of signed 32 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_s64 ()

    void
    ags_star_synth_util_compute_triangle_s64
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of signed 64 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_float ()

    void
    ags_star_synth_util_compute_triangle_float
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_double ()

    void
    ags_star_synth_util_compute_triangle_double
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of double precision floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle_complex ()

    void
    ags_star_synth_util_compute_triangle_complex
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth of complex data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_triangle ()

    void
    ags_star_synth_util_compute_triangle (AgsStarSynthUtil *star_synth_util);

Compute STAR triangle synth.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_s8 ()

    void
    ags_star_synth_util_compute_square_s8 (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of signed 8 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_s16 ()

    void
    ags_star_synth_util_compute_square_s16
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of signed 16 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_s24 ()

    void
    ags_star_synth_util_compute_square_s24
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of signed 24 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_s32 ()

    void
    ags_star_synth_util_compute_square_s32
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of signed 32 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_s64 ()

    void
    ags_star_synth_util_compute_square_s64
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of signed 64 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_float ()

    void
    ags_star_synth_util_compute_square_float
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_double ()

    void
    ags_star_synth_util_compute_square_double
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of double precision floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square_complex ()

    void
    ags_star_synth_util_compute_square_complex
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth of complex data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_square ()

    void
    ags_star_synth_util_compute_square (AgsStarSynthUtil *star_synth_util);

Compute STAR square synth.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_s8 ()

    void
    ags_star_synth_util_compute_impulse_s8
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of signed 8 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_s16 ()

    void
    ags_star_synth_util_compute_impulse_s16
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of signed 16 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_s24 ()

    void
    ags_star_synth_util_compute_impulse_s24
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of signed 24 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_s32 ()

    void
    ags_star_synth_util_compute_impulse_s32
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of signed 32 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_s64 ()

    void
    ags_star_synth_util_compute_impulse_s64
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of signed 64 bit data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_float ()

    void
    ags_star_synth_util_compute_impulse_float
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_double ()

    void
    ags_star_synth_util_compute_impulse_double
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of double precision floating point data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse_complex ()

    void
    ags_star_synth_util_compute_impulse_complex
                                   (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth of complex data.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

### ags_star_synth_util_compute_impulse ()

    void
    ags_star_synth_util_compute_impulse (AgsStarSynthUtil *star_synth_util);

Compute STAR impulse synth.

#### Parameters

star_synth_util | the AgsStarSynthUtil |

Since: 7.4.0

## Types and Values

### AGS_STAR_SYNTH_UTIL_DEFAULT_FREQUENCY

    #define AGS_STAR_SYNTH_UTIL_DEFAULT_FREQUENCY (440.0)

### AGS_STAR_SYNTH_UTIL_DEFAULT_LFO_FREQUENCY

    #define AGS_STAR_SYNTH_UTIL_DEFAULT_LFO_FREQUENCY (12.0)

### AGS_STAR_SYNTH_UTIL_DEFAULT_LFO_DEPTH

    #define AGS_STAR_SYNTH_UTIL_DEFAULT_LFO_DEPTH (0.0)

### AGS_STAR_SYNTH_UTIL_DEFAULT_TUNING

    #define AGS_STAR_SYNTH_UTIL_DEFAULT_TUNING (0.0)

### AGS_STAR_SYNTH_UTIL_INITIALIZER

    #define             AGS_STAR_SYNTH_UTIL_INITIALIZER